package com.heyu.api.data.service.impl.api;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-04-16
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.api.ApiIdCardDao;
import com.heyu.api.data.entity.api.ApiIdCardEntity;
import com.heyu.api.data.service.api.ApiIdCardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class ApiIdCardServiceImpl extends ServiceImpl<ApiIdCardDao, ApiIdCardEntity> implements ApiIdCardService {


    @Autowired
	private ApiIdCardDao apiIdCardDao;



	@Override
	public ApiIdCardEntity selectApiIdCardById(Long id){
		return apiIdCardDao.selectApiIdCardById(id);
	}



	@Override
	public Long insertApiIdCard(ApiIdCardEntity apiIdCard){
		return apiIdCardDao.insertApiIdCard(apiIdCard);
	}



	@Override
	public Long insertOrUpdateApiIdCard(ApiIdCardEntity apiIdCard){
		return apiIdCardDao.insertOrUpdateApiIdCard(apiIdCard);
	}



	@Override
	public int updateApiIdCardById(ApiIdCardEntity apiIdCard){
		return apiIdCardDao.updateApiIdCardById(apiIdCard);
	}



	@Override
	public int updateCoverApiIdCardById(ApiIdCardEntity apiIdCard){
		return apiIdCardDao.updateCoverApiIdCardById(apiIdCard);
	}



	@Override
	public int deleteApiIdCardById(Long id){
		return apiIdCardDao.deleteApiIdCardById(id);
	}



}
